package de.fhdw.gaming.ipspiel23.ht.moves.factory;

import de.fhdw.gaming.ipspiel23.ht.moves.IHTMove;
import de.fhdw.gaming.ipspiel23.ht.moves.impl.HTEdgeMove;
import de.fhdw.gaming.ipspiel23.ht.moves.impl.HTHeadsMove;
import de.fhdw.gaming.ipspiel23.ht.moves.impl.HTTailsMove;

/**
 * Implements {@link IHTMoveFactory}.
 */
public final class HTDefaultMoveFactory implements IHTMoveFactory {

    @Override
    public IHTMove createHeadsMove() {
        return new HTHeadsMove();
    }

    @Override
    public IHTMove createTailsMove() {
        return new HTTailsMove();
    }

    @Override
    public IHTMove createEdgeMove() {
        return new HTEdgeMove();
    }
}
