package de.fhdw.gaming.ipspiel23.ht.strategy;

import de.fhdw.gaming.ipspiel23.ht.moves.factory.IHTMoveFactory;

/**
 * A factory for creating strategies.
 */
@FunctionalInterface
public interface IHTStrategyFactory {
    /**
     * Creates a new strategy.
     *
     * @param moveFactory the move factory used by the strategy
     * @return the created strategy
     */
    IHTStrategy create(IHTMoveFactory moveFactory);
}