package de.fhdw.gaming.ipspiel23.ht.strategy.impl;

import de.fhdw.gaming.ipspiel23.ht.moves.factory.IHTMoveFactory;
import de.fhdw.gaming.ipspiel23.ht.strategy.IHTStrategy;

/**
 * Represents a Heads or Tails strategy.
 */
public abstract class HTStrategy implements IHTStrategy {

    /**
     * The move factory used by this strategy.
     */
    private final IHTMoveFactory moveFactory;

    /**
     * Creates a new strategy.
     *
     * @param moveFactory the move factory used by this strategy
     */
    protected HTStrategy(final IHTMoveFactory moveFactory) {
        this.moveFactory = moveFactory;
    }
    
    /**
     * Returns the move factory used by this strategy.
     *
     * @return the move factory used by this strategy
     */
    protected IHTMoveFactory getMoveFactory() {
        return moveFactory;
    }
    
    @Override
    public String toString() {
        return this.getClass().getSimpleName();
    }
}
